Skip to main content
GET
List agent payments

Authorizations

x-agent-key
string
header
required

Query Parameters

agentId
string

Filter by agent ID (for admin use)

agentWalletId
string

Filter by agent wallet ID

status
enum<string>

Filter by transaction status

Available options:
PENDING,
POLICY_DENIED,
APPROVED,
SUBMITTED,
EXECUTED,
FAILED
from
string<date-time>
to
string<date-time>
offset
integer
default:0
limit
integer
default:50
order
enum<string>
default:DESC
Available options:
ASC,
DESC

Response

List of transactions

data
object[]
total
integer
hasMore
boolean